Bug 1785718 - support for ipv6
Summary: support for ipv6
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Sam Batschelet
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On: 1785715 1796618
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-20 18:42 UTC by Kirsten Garrison
Modified: 2020-02-14 10:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1785715
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1353 None closed Bug 1785718: [release-4.3] etcd: Add initial support for an IPv6 control plane 2020-06-16 21:20:26 UTC

Description Kirsten Garrison 2019-12-20 18:42:52 UTC
+++ This bug was initially created as a clone of Bug #1785715 +++

Description of problem:

Add optional support for etcd to use ipv6.

--- Additional comment from Stephen Cuppett on 2019-12-20 18:34:28 UTC ---

Setting target to the active development branch (4.4). Clones of this BZ will be created for fixes, if any, which are required to be backported to earlier release maintenance streams.

--- Additional comment from Kirsten Garrison on 2019-12-20 18:39:04 UTC ---

The fix is already merged in master for 4.4, this BZ was created to backport to 4.3.z.

--- Additional comment from Kirsten Garrison on 2019-12-20 18:41:53 UTC ---

setting this back to 4.4,trying to sort this out since fix already merged.

Comment 1 Stephen Cuppett 2019-12-20 18:50:13 UTC
Setting to 4.3.z. We shouldn't introduce this until after the GA build.

Comment 4 Dan Winship 2020-02-07 14:25:26 UTC
Assigning all 4.3.z IPv6 bugs to Marius Cornea for QA, as they are not yet QA-able in stock release-4.3 builds.

Comment 5 Marius Cornea 2020-02-11 21:58:11 UTC
This BZ cannot be verified for now on the 4.3-ipv6 release as the latest build(4.3.0-0.nightly-2020-02-10-055634-ipv6.3) includes a custom machine-config-operator image according to https://github.com/openshift-kni/ocp-ipv6/blob/master/builds.yaml


Note You need to log in before you can comment on or make changes to this bug.